> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onefirewall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get WCF Installation

> The end point is used to retreive a list of WCF Agent installed, along with configuration presented and how each WCF Agent is performing



## OpenAPI

````yaml get /feedback
openapi: 3.0.2
info:
  title: OneFirewall Alliance - OpenAPI 3.0
  description: >-
    The API documentation site serves as a comprehensive resource for developers
    looking to utilize the OneFirewall Platform's application programming
    interface (API). It offers in-depth information on API endpoints,
    parameters, responses, and authentication processes. Additionally, it
    features practical examples and code snippets to assist developers in
    integrating the API into their own applications. The website is crafted to
    be user-friendly, intuitive, and easily navigable, enabling developers to
    swiftly locate the necessary information to begin working with the API.
  termsOfService: https://onefirewall.com/eula.html
  contact:
    email: support@onefirewall.com
    url: https://onefirewall.com/contact.html
    name: Engineering Division
  license:
    name: ''
    url: ''
  version: V4.18.0
servers:
  - url: https://app.onefirewall.com/api/v1
    description: OneFirewall Server
    variables: {}
security: []
tags:
  - name: IPv4 Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: IoCs
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Tools
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: URL Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Domain Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Security Binary Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Secure VPN
    description: Secure VPN by OneFirewall
    externalDocs:
      description: ''
      url: ''
  - name: WCF Agent
    description: ''
    externalDocs:
      description: ''
      url: ''
externalDocs:
  description: http://docs.onefirewall.com
  url: http://app.onefirewall.com
paths:
  /feedback:
    get:
      tags:
        - WCF Agent
      summary: Get WCF Installation
      description: >-
        The end point is used to retreive a list of WCF Agent installed, along
        with configuration presented and how each WCF Agent is performing
      operationId: Get WCF Installation
      parameters:
        - in: query
          name: agid
          description: Agent ID (if defined will be used to filter specific ID)
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    active:
                      type: boolean
                      description: Active or not (if not present then is active)
                    agid:
                      type: string
                      description: Agent ID
                    blacklist:
                      type: array
                      items:
                        type: string
                      description: The list of feeds blocked by the agent
                    code:
                      type: number
                      description: 0 for success - anything else for error
                    config:
                      type: object
                      properties:
                        maximum_rules:
                          type: number
                          description: Maximum Rules to be blocked by the Agent
                        running:
                          type: string
                          description: >-
                            "yes" or not present then the Agent is running,
                            otherwise is disable for running
                        score_threshold:
                          type: number
                          description: The minimum threshold to block feeds
                        sync_time:
                          type: number
                          description: >-
                            Number in minutes how often the Agent needs to be
                            synced with the WCF Server
                        version:
                          type: string
                          description: Version present in the WCF Agent binary installation
                      description: WCF Config.json values
                    hostanme:
                      type: string
                      description: Hostname installed
                    maximum_rules:
                      type: number
                      description: Maximum rules set on the Agent
                    mgid:
                      type: string
                      description: Organization ID of the Agent installed
                    plugin:
                      type: string
                      description: IPS Name used
                    score_threshold:
                      type: number
                      description: Latest Score Threshold used
                    sync_time:
                      type: string
                      description: sync time reported from the agent (in minutes)
                    ts:
                      type: number
                      description: Last sync time
                  required:
                    - agid
                    - blacklist
                    - code
                    - hostanme
                    - maximum_rules
                    - mgid
                    - plugin
                    - score_threshold
                    - sync_time
                    - ts
                  description: WCF Agent
                description: Array of WCF Agent installed
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      description: Authorization Token
      name: Authorization

````